#
# spec file for package gnaural
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnaural
Version:        1.0.20110606
Release:        lp150.1.11
Summary:        An opensource binaural-beat generator
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://gnaural.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/gnaural/Gnaural/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  portaudio-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Provides:       %{name}2 = %{version}
Obsoletes:      %{name}2 < %{version}

%description
Gnaural is an audio synthesizer intended for use as a binaural beat
generator, but capable of far more. Its core functionality is to produces
stereo sine waves whose base frequencies can be independently altered in
order to produce the phasing required for binaural beats. These beats can
in turn precisely modulated over time in both their base and beat
frequencies, as well as in their volume and stereo positioning.

%prep
%setup -q

%build
# add -fgnu89-inline flag to build with gcc5
%if 0%{?suse_version} > 1320	
export CFLAGS="%{optflags} -fgnu89-inline"
%endif
%configure
make %{?_smp_mflags}

%install
%make_install INSTALL="install -p"

# It's not necessary (use %%suse_update_desktop_file)
rm -rf %{buildroot}%{_datadir}/gnome

install -Dm 644 pixmaps/%{name}-icon.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
install -Dm 644 pixmaps/%{name}-icon.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%suse_update_desktop_file -c %{name} Gnaural "Audio binaural beat generator" %{name} %{name} AudioVideo AudioVideoEditing

%fdupes -s %{buildroot}%{_datadir}

%post
%if 0%{?suse_version} >= 1140	
%icon_theme_cache_post
%endif

%postun
%if 0%{?suse_version} >= 1140
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jun 26 2015 avvissu@yandex.ru
- Initial release
